package com.kelidestan.newclass;

import java.io.IOException;
import java.net.HttpURLConnection;
import java.net.MalformedURLException;
import java.net.URL;

import junit.framework.TestCase;
import android.app.AlertDialog;
import android.app.ProgressDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.os.AsyncTask;
import android.widget.Toast;

public class MyClass extends TestCase {
    
	public Context context;
        
    public MyClass (Context context) {
        this.context = context;   
    }
    
    public void ShowAlertDialog() {
    	 AlertDialog.Builder alertDialog = new AlertDialog.Builder(this.context);
    	 alertDialog.setTitle("Title");
    	 alertDialog.setMessage("No Internet");
    	 alertDialog.setIcon(R.drawable.ic_launcher);
    	 // Setting Positive "Yes" Button
    	 alertDialog.setPositiveButton("Yes (repeat check internet)",
    	 new DialogInterface.OnClickListener() {
    	     public void onClick(DialogInterface dialog, int which) {
    	         dialog.cancel();
    	         new NetCheck().execute();
    	     }
    	 });
    	 // Setting Negative "NO" Button
    	 alertDialog.setNegativeButton("No (cancel)",
    	 new DialogInterface.OnClickListener() {
    	     public void onClick(DialogInterface dialog, int which) {
    	         // Write your code here to invoke NO event
    	         dialog.cancel();
    	     }
    	 });
    	 // Showing Alert Message
    	 alertDialog.show();
    }

    /**
     * Async Task to check whether internet connection is working.
     **/

        private class NetCheck extends AsyncTask<String,String,Boolean>
        {
            private ProgressDialog nDialog;

            @Override
            protected void onPreExecute(){
                super.onPreExecute();
                nDialog = new ProgressDialog(context);
                nDialog.setTitle("Checking Network");
                nDialog.setMessage("Loading..");
                nDialog.setIndeterminate(false);
                nDialog.setCancelable(true);

                nDialog.show();
            }
            /**
             * Gets current device state and checks for working internet connection by trying Google.
            **/
            @Override
            protected Boolean doInBackground(String... args){

                ConnectivityManager cm = (ConnectivityManager) context.getSystemService(Context.CONNECTIVITY_SERVICE);
                NetworkInfo netInfo = cm.getActiveNetworkInfo();
                if (netInfo != null && netInfo.isConnected()) {
                    try {
                        URL url = new URL("http://www.google.com");
                        HttpURLConnection urlc = (HttpURLConnection) url.openConnection();
                        urlc.setConnectTimeout(3000);
                        urlc.connect();
                        if (urlc.getResponseCode() == 200) {
                            return true;
                        }
                    } catch (MalformedURLException e1) {
                        // TODO Auto-generated catch block
                        e1.printStackTrace();
                    } catch (IOException e) {
                        // TODO Auto-generated catch block
                        e.printStackTrace();
                    }
                }
                return false;

            }
            @Override
            protected void onPostExecute(Boolean th){

                if(th == true){
                    nDialog.dismiss();
                    Toast.makeText(context.getApplicationContext(), "Your device is connected to internet !", Toast.LENGTH_SHORT).show();
                    context.startActivity(new Intent(context, MyActivity.class));
                    // new GetData().execute();
                }
                else{
                    nDialog.dismiss();
                    ShowAlertDialog();
                }
            }
        }
    	 
    	 public void CheckInternet() {
    		 new NetCheck().execute();
    	 }
    	 
    	 
}